package com.ruoyi.ibs.list.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 家庭成员信息对象 family_members
 * 
 * @author ruoyi
 * @date 2024-11-01
 */
public class FamilyMembers extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 客户号 */
    @Excel(name = "客户号")
    private String custId;

    /** 家庭成员客户号 */
    @Excel(name = "家庭成员客户号")
    private String fmyCustId;

    /** 家庭成员名称 */
    @Excel(name = "家庭成员名称")
    private String fmyName;

    /** 家庭成员联系电话 */
    @Excel(name = "家庭成员联系电话")
    private String tel;

    /** 家庭成员出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "家庭成员出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 与户主关系 */
    @Excel(name = "与户主关系")
    private String fmyRln;

    /** 客户标签 */
    @Excel(name = "客户标签")
    private String label;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String belongBusi;

    @Excel(name = "家庭成员身份证号")
    private String fmyCustIdc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setCustIsn(String custIsn)
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn() 
    {
        return custIsn;
    }
    public void setCustId(String custId) 
    {
        this.custId = custId;
    }

    public String getCustId() 
    {
        return custId;
    }
    public void setFmyCustId(String fmyCustId) 
    {
        this.fmyCustId = fmyCustId;
    }

    public String getFmyCustId() 
    {
        return fmyCustId;
    }
    public void setFmyName(String fmyName) 
    {
        this.fmyName = fmyName;
    }

    public String getFmyName() 
    {
        return fmyName;
    }
    public void setTel(String tel) 
    {
        this.tel = tel;
    }

    public String getTel() 
    {
        return tel;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setFmyRln(String fmyRln) 
    {
        this.fmyRln = fmyRln;
    }

    public String getFmyRln() 
    {
        return fmyRln;
    }
    public void setLabel(String label) 
    {
        this.label = label;
    }

    public String getLabel() 
    {
        return label;
    }
    public void setBelongBusi(String belongBusi) 
    {
        this.belongBusi = belongBusi;
    }

    public String getBelongBusi() 
    {
        return belongBusi;
    }

    public String getFmyCustIdc() {
        return fmyCustIdc;
    }

    public void setFmyCustIdc(String fmyCustIdc) {
        this.fmyCustIdc = fmyCustIdc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("custIsn", getCustIsn())
            .append("custId", getCustId())
            .append("fmyCustId", getFmyCustId())
            .append("fmyName", getFmyName())
            .append("tel", getTel())
            .append("birthday", getBirthday())
            .append("fmyRln", getFmyRln())
            .append("label", getLabel())
            .append("belongBusi", getBelongBusi())
            .toString();
    }
}
